iban.pizza
API reference

Validate up to 100 IBANs in one request.

POST
/v2/iban:batch

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v2/iban:batch" \  -H "Content-Type: application/json" \  -d '{    "ibans": [      "string"    ]  }'
{  "results": [    {      "valid": true,      "iban": {        "input": "string",        "formatted": "string",        "countryCode": "string",        "checkDigits": "string",        "bankCode": "string",        "branchCode": "string",        "accountNumber": "string"      },      "checks": {        "property1": {          "ok": true,          "message": "string",          "method": "string"        },        "property2": {          "ok": true,          "message": "string",          "method": "string"        }      },      "bank": {        "country": "string",        "bankCode": "string",        "name": "string",        "shortName": "string",        "zip": "string",        "city": "string",        "bic": "string",        "source": "string",        "logo": {          "kind": "monogram",          "brand": "string",          "url": "string"        }      },      "schemes": {        "level": "institution",        "schemes": {          "property1": {            "status": "participant",            "readinessDate": "string",            "leavingDate": "string",            "role": "string"          },          "property2": {            "status": "participant",            "readinessDate": "string",            "leavingDate": "string",            "role": "string"          }        },        "source": "string",        "asOf": "2019-08-24",        "note": "string"      },      "dataAsOf": {        "property1": "2019-08-24",        "property2": "2019-08-24"      }    }  ]}